=== debian/changelog ===
kpeople (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:12:17 +0200

kpeople (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself as uploader and remove inactive ones. Thank you for your
    work.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 18 Mar 2024 23:59:36 +0100
