=== debian/control ===
--- 
+++ 
@@ -1,36 +1,36 @@
 Source: kpeople
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                dbus-x11,
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.113.0~),
-               libkf5coreaddons-dev (>= 5.113.0~),
-               libkf5i18n-dev (>= 5.113.0~),
-               libkf5itemviews-dev (>= 5.113.0~),
-               libkf5widgetsaddons-dev (>= 5.113.0~),
+               extra-cmake-modules (>= 5.115.0~),
+               libkf5coreaddons-dev (>= 5.115.0~),
+               libkf5i18n-dev (>= 5.115.0~),
+               libkf5itemviews-dev (>= 5.115.0~),
+               libkf5widgetsaddons-dev (>= 5.115.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kpeople
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpeople
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpeople
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpeople.git
 Rules-Requires-Root: no
 
 Package: libkf5people-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5people5 (<< 5.74), libkpeople3
-Replaces: libkf5people5 (<< 5.74), libkpeople3
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Breaks: libkf5people5 (<< 5.74), libkpeople3,
+Replaces: libkf5people5 (<< 5.74), libkpeople3,
 Description: data files for kpeople
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.
@@ -50,7 +50,7 @@
          libkf5peoplewidgets5 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
-Recommends: libkf5people-doc (= ${source:Version})
+Recommends: libkf5people-doc (= ${source:Version}),
 Description: development files for kpeople
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.
@@ -65,8 +65,8 @@
 Package: libkf5people-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
-Description: framework providing unified access to contacts aggregated by person (documentation)
+Depends: ${misc:Depends},
+Description: documentation files for kpeople
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.
  .
@@ -126,7 +126,7 @@
 Package: qml-module-org-kde-people
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: framework providing unified access to contacts aggregated by person
  KPeople offers unified access to contacts from different sources, grouping
  them by person while still exposing all the data.
