=== debian/changelog ===
kpeople (5.116.0-2) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Re-enable build-time tests, switch test dependency from dbus-x11 to
    dbus-daemon. (Closes: #1117075)

  [ Pino Toscano ]
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Remove an obsolete maintscript entry.
  * CI: update/simplify configuration.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Drop the unused ${shlibs:Depends} substvar from libkf5people-data.
  * Disable the parallel execution for dh_auto_test to see whether it makes the
    test suite more stable.

 -- Pino Toscano <pino@debian.org>  Tue, 18 Nov 2025 12:15:43 +0100

kpeople (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:41:12 +0200
