=== debian/control ===
--- 
+++ 
@@ -4,31 +4,33 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               dbus-x11,
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.16~),
+               dbus-daemon <!nocheck>,
+               dh-sequence-kf5,
+               dh-sequence-pkgkde-symbolshelper,
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
-               libkf5coreaddons-dev (>= 5.115.0~),
-               libkf5i18n-dev (>= 5.115.0~),
-               libkf5itemviews-dev (>= 5.115.0~),
-               libkf5widgetsaddons-dev (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
+               libkf5coreaddons-dev (>= 5.116.0~),
+               libkf5i18n-dev (>= 5.116.0~),
+               libkf5itemviews-dev (>= 5.116.0~),
+               libkf5widgetsaddons-dev (>= 5.116.0~),
                libqt5sql5-sqlite,
-               pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qttools5-dev,
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.6.2
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kpeople
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kpeople
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kpeople.git
-Rules-Requires-Root: no
 
 Package: libkf5people-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
 Breaks: libkf5people5 (<< 5.74), libkpeople3,
 Replaces: libkf5people5 (<< 5.74), libkpeople3,
 Description: data files for kpeople
