## kpeople 5.116.0+p24.04+vstable+git20251231.0124

=== debian/changelog ===
kpeople (5.116.0+p24.04+vstable+git20251231.0124-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 01:24:06 +0000
