=== debian/changelog ===
kpeople (5.116.0+p24.04+vstable+git20260131.1256-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 12:56:55 +0000
