## kpeople 5.116.0+p24.04+vunstable+git20251124.0753

=== debian/changelog ===
kpeople (5.116.0+p24.04+vunstable+git20251124.0753-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 24 Nov 2025 07:53:47 +0000
