## kpeople 5.116.0+p24.04+vunstable+git20260123.0311

=== debian/changelog ===
kpeople (5.116.0+p24.04+vunstable+git20260123.0311-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:11:04 +0000
