## kpeople 5.116.0+p24.04+vunstable+git20260209.0334

=== debian/changelog ===
kpeople (5.116.0+p24.04+vunstable+git20260209.0334-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 03:34:11 +0000
